Bug #1008: Missing shell version of ruby-1.9 commands (gem, rake, ...) for MinGW installation
http://redmine.ruby-lang.org/issues/show/1008

Author: Chauk-Mean Proum
Status: Open, Priority: Normal
Target version: 1.9.1 RC2

For MinGW, only Windows batch script (.bat) of commands like gem, rake, ri ... are installed.
Consequently, these commands are usable only from a Windows command prompt.
From MSYS shell, executing .bat files produced errors.
Thus building/installing a binary gem (which should be done from MSYS) cannot be performed.

With ruby 1.8, the setup of rubygems and the installation of the rake gem install the shell version of the corresponding commands.
=> For ruby-1.9, the installation of ruby should also install the shell version of these commands.


----------------------------------------
http://redmine.ruby-lang.org